com.beaglebuddy.mpeg.enums

## Enum Emphasis

- java.lang.Object
- - java.lang.Enum<Emphasis>
  - - com.beaglebuddy.mpeg.enums.Emphasis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Emphasis>

      public enum Emphasis
      extends java.lang.Enum<Emphasis>

  The list of valid emphasis types supported by the MPEG audio standard.
  See Also:
    `MPEGFrameHeader`, Moving Picture Experts Group

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_50_15_MS` 50/15 ms
    `CCIT_J_17` CCIT J.17
    `NONE` None
    `RESERVED` Reserved

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the emphasis.
    `java.lang.String` | `toString()` gets a string representation of the emphasis enum.
    `static Emphasis` | `valueOf(int emphasis)` converts an integral value to its corresponding emphasis enum.
    `static Emphasis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Emphasis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final Emphasis NONE

      None

    - #### _50_15_MS

          public static final Emphasis _50_15_MS

      50/15 ms

    - #### RESERVED

          public static final Emphasis RESERVED

      Reserved

    - #### CCIT_J_17

          public static final Emphasis CCIT_J_17

      CCIT J.17

  - ### Method Detail

    - #### values

          public static Emphasis[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Emphasis c : Emphasis.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Emphasis valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the emphasis.
      Returns:
        the name of the emphasis.

    - #### valueOf

          public static Emphasis valueOf(int emphasis)
                                  throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding emphasis enum.
      Parameters:
        `emphasis` - integral value to be converted to an emphasis enum.
      Returns:
        the emphasis enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid emphasis.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the emphasis enum.
      Overrides:
        `toString` in class `java.lang.Enum<Emphasis>`
      Returns:
        a string representation of the emphasis enum.